Name:           btrfs-progs
Version:        0.20
%define _commit git7854c8b
Release:        1.8.0.1.%{_commit}%{?dist}
Summary:        Userspace programs for btrfs

Group:          System Environment/Base
License:        GPLv2
URL:            http://btrfs.wiki.kernel.org/index.php/Main_Page
Source0:        %{name}-%{version}-rc1-%{_commit}.tar.bz2
Patch0: btrfs-mkfs-disable-ext-refs-by-default.patch
Patch1: btrfs-mkfs-replace-blkid_probe_get_wholedisk_devno.patch
Patch2: btrfs-man-update-for-filesystem-label.patch
Patch3: btrfs-progs-add-quota-related-info-to-usage-messages.patch
Patch4: btrfs-progs-avoid-implicit-scan-for-backup-SB.patch
Patch5: btrfs-progs-mkfs-should-first-check-all-disks-before.patch
Patch6: btrfs-convert-big-endian.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  e2fsprogs-devel, libuuid-devel, zlib-devel, libacl-devel, libblkid-devel, lzo-devel

%define _root_sbindir /sbin

%description
The btrfs-progs package provides all the userpsace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%package devel
Summary:        btrfs filesystem-specific libraries and headers
Group:          Development/Libraries
Requires:       btrfs-progs = %{version}-%{release}

%description devel
btrfs-progs-devel contains the libraries and header files needed to
develop btrfs filesystem-specific programs.

You should install btrfs-progs-devel if you want to develop
btrfs filesystem-specific programs.

%prep
%setup -q -n btrfs-progs-%{version}-rc1-%{_commit}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make mandir=%{_mandir} bindir=%{_root_sbindir} libdir=%{_libdir} incdir=%{_includedir}/btrfs install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/local

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING INSTALL
%{_root_sbindir}/btrfsctl
%{_root_sbindir}/btrfsck
%{_root_sbindir}/mkfs.btrfs
%{_root_sbindir}/btrfs-debug-tree
%{_root_sbindir}/btrfs-image
%{_root_sbindir}/btrfs-show
%{_root_sbindir}/btrfs-vol
%{_root_sbindir}/btrfs-convert
%{_root_sbindir}/btrfstune
%{_root_sbindir}/btrfs-map-logical
%{_root_sbindir}/btrfs
%{_root_sbindir}/btrfs-find-root
%{_root_sbindir}/btrfs-zero-log
%{_root_sbindir}/btrfs-show-super
%{_mandir}/man8/btrfs-image.8.gz
%{_mandir}/man8/btrfs-show.8.gz
%{_mandir}/man8/btrfsck.8.gz
%{_mandir}/man8/btrfsctl.8.gz
%{_mandir}/man8/mkfs.btrfs.8.gz
%{_mandir}/man8/btrfs.8.gz

%files devel
%{_includedir}/*
%{_libdir}/libbtrfs.so
%{_libdir}/libbtrfs.so.0*
%{_libdir}/libbtrfs.a

%changelog
* Sun Nov 16 2014 Philip Copeland <philip.copeland@oracle.com> 0.20-1.8.0.1.git7854c8b 
- reapply the sparc64 patchs Jose made (btrfs-convert-big-endian.patch) 
  Mon Dec 16 2013 Jose E. Marchesi <jose.marchesi@oracle.com> 0.20-1.6.0.1.git7854c8b
  sparc changes rebased from el6-u4-sparc64 to el6-u5.

* Thu Apr 17 2014 Guangyu Sun <guangyu.sun@oracle.com> 0.20-1.8.git7854c8b
- mkfs should first check all disks before writing to a disk (Anand Jain)
  [orabug 18606274]
- avoid implicit scan for backup superblocks (Anand Jain)
  [orabug 18061751 17087097]

* Fri Mar 28 2014 Guangyu Sun <guangyu.sun@oracle.com> 0.20-1.7.git7854c8b
- enable devel package build [orabug 18477354]

* Thu Nov 21 2013 Guangyu Sun <guangyu.sun@oracle.com> 0.20-1.6.git7854c8b
- add quota-related info to usage messages [orabug 16557528]

* Wed Oct 02 2013 Guangyu Sun <guangyu.sun@oracle.com> 0.20-1.5.git7854c8b
- update man page for btrfs filesystem label [orabug 17495880]

* Thu May 30 2013 Guangyu Sun <guangyu.sun@oracle.com> 0.20-1.4.git7854c8b
- remove Requires kernel >= 3.7

* Wed May 29 2013 Guangyu Sun <guangyu.sun@oracle.com> 0.20-1.3.git7854c8b
- do not enable extended refs in mkfs by default (David Sterba) [orabug 16866877]
- replace blkid_probe_get_wholedisk_devno so old libblkid can build it
  (Eric Sandeen)

* Wed Apr 10 2013 Shu Li <shu.li@oracle.com> 0.20-1.2.git7854c8b
- modify Requires from kernel-uek to kernel

* Sun Apr 07 2013 Shu Li <shu.li@oracle.com> 0.20-1.1.git7854c8b
- Add Requires to kernel-uek >= 3.7

* Mon Mar 25 2013 Shu Li <shu.li@oracle.com> 0.20-1.0.git7854c8b
- Add BuildRequires libblkid-devel lzo-devel
- remove btrfs-restore from the file list

* Mon Oct 15 2012 Zach Brown <zab@redhat.com> 0.20-0.2.git91d9eec
- bring btrfs-progs uptodate with current upstream git
- updated patch to allow fs labels with slashes
- btrfs-find-root, btrfs-restore, and btrfs-zero-log are now available
- build with -fno-strict-aliasing

* Mon Jan 10 2011 Josef Bacik <josef@redhat.com> 0.19-12
- bring btrfs-progs uptodate with latest upstream, Resolves: rhbz#645741

* Mon Jun  7 2010 Josef Bacik <josef@redhat.com> 0.19-11
- fix btrfs-progs so it only buils on x86_64, Resolves: rhbz#596690

* Fri Jan 22 2010 Josef Bacik <josef@redhat.com> 0.19-10
- fix btrfs-progs so it builds with new gcc, Resolves: bz557277

* Mon Oct 19 2009 Josef Bacik <josef@toxicpanda.com> 0.19-9
- release bump because I messed up the tagging

* Mon Oct 19 2009 Josef Bacik <josef@toxicpanda.com> 0.19-8
- bring btrfs-progs uptodate with upstream, adds destroy ioctl and fixes
  converter

* Tue Aug 25 2009 Josef Bacik <josef@toxicpanda.com> 0.19-7
- add btrfs-progs-valgrind.patch to fix memory leaks and segfaults

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Josef Bacik <josef@toxicpanda.com> 0.19-5
- add e2fsprogs-devel back to BuildRequires since its needed for the converter

* Wed Jul 15 2009 Josef Bacik <josef@toxicpanda.com> 0.19-4
- change BuildRequires for e2fsprogs-devel to libuuid-devel

* Fri Jun 19 2009 Josef Bacik <josef@toxicpanda.com> 0.19-3
- added man pages to the files list and made sure they were installed properly

* Fri Jun 19 2009 Josef Bacik <josef@toxicpanda.com> 0.19-2
- add a patch for the Makefile to make it build everything again

* Fri Jun 19 2009 Josef Bacik <josef@toxicpanda.com> 0.19-1
- update to v0.19 of btrfs-progs for new format

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Josef Bacik <josef@toxicpanda.com> 0.18-3
- updated label patch

* Thu Jan 22 2009 Josef Bacik <josef@toxicpanda.com> 0.18-2
- add a patch to handle having /'s in labels

* Sat Jan 17 2009 Josef Bacik <josef@toxicpanda.com> 0.18-1
- updated to 0.18 because of the ioctl change in 2.6.29-rc2

* Fri Jan 16 2009 Marek Mahut <mmahut@fedoraproject.org> 0.17-4
- RHBZ#480219 btrfs-convert is missing

* Mon Jan 12 2009 Josef Bacik <josef@toxicpanda.com> 0.17-2
- fixed wrong sources upload

* Mon Jan 12 2009 Josef Bacik <josef@toxicpanda.com> 0.17
- Upstream release 0.17

* Sat Jan 10 2009 Kyle McMartin <kyle@redhat.com> 0.16.git1-1
- Upstream git sync from -g72359e8 (needed for kernel...)

* Sat Jan 10 2009 Marek Mahut <mmahut@fedoraproject.org> 0.16-1
- Upstream release 0.16

* Mon Jun 25 2008 Josef Bacik <josef@toxicpanda.com> 0.15-4
-use fedoras normal CFLAGS

* Mon Jun 23 2008 Josef Bacik <josef@toxicpanda.com> 0.15-3
-Actually defined _root_sbindir
-Fixed the make install line so it would install to the proper dir

* Mon Jun 23 2008 Josef Bacik <josef@toxicpanda.com> 0.15-2
-Removed a . at the end of the description
-Fixed the copyright to be GPLv2 since GPL doesn't work anymore

* Mon Jun 23 2008 Josef Bacik <josef@toxicpanda.com> 0.15-1
-Initial build
